package com.atlassian.bitbucket.mesh.git.builder;

import com.atlassian.bitbucket.mesh.repository.Repository;
import com.google.protobuf.MessageOrBuilder;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public interface GitProcessBuilderFactory {

    @Nonnull
    GitProcessBuilder builder();

    @Nonnull
    GitProcessBuilder builder(@Nonnull MessageOrBuilder message);

    @Nonnull
    GitProcessBuilder builder(@Nullable Repository repository);
}
